NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 4.8. System Queries

This chapter describes the queries that NVML can perform against the local system. These queries are not device-specific.

### Functions

nvmlReturn_t nvmlSystemGetDriverVersion ( char* version, unsigned int length )
nvmlReturn_t nvmlSystemGetNVMLVersion ( char* version, unsigned int length )
nvmlReturn_t nvmlSystemGetProcessName ( unsigned int pid, char* name, unsigned int length )

### Functions

nvmlReturn_t nvmlSystemGetDriverVersion ( char* version, unsigned int length )

  ###### Parameters

  `version`
    Reference in which to return the version identifier
  `length`
    The maximum allowed length of the string returned in version

  ###### Returns

  - NVML_SUCCESS if version has been set
  - NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized
  - NVML_ERROR_INVALID_ARGUMENT if version is NULL
  - NVML_ERROR_INSUFFICIENT_SIZE if length is too small

  ###### Description

  Retrieves the version of the system's graphics driver.

  For all products.

  The version identifier is an alphanumeric string. It will not exceed 80 characters in length (including the NULL terminator). See nvmlConstants::NVML_SYSTEM_DRIVER_VERSION_BUFFER_SIZE.

nvmlReturn_t nvmlSystemGetNVMLVersion ( char* version, unsigned int length )

  ###### Parameters

  `version`
    Reference in which to return the version identifier
  `length`
    The maximum allowed length of the string returned in version

  ###### Returns

  - NVML_SUCCESS if version has been set
  - NVML_ERROR_INVALID_ARGUMENT if version is NULL
  - NVML_ERROR_INSUFFICIENT_SIZE if length is too small

  ###### Description

  Retrieves the version of the NVML library.

  For all products.

  The version identifier is an alphanumeric string. It will not exceed 80 characters in length (including the NULL terminator). See nvmlConstants::NVML_SYSTEM_NVML_VERSION_BUFFER_SIZE.

nvmlReturn_t nvmlSystemGetProcessName ( unsigned int pid, char* name, unsigned int length )

  ###### Parameters

  `pid`
    The identifier of the process
  `name`
    Reference in which to return the process name
  `length`
    The maximum allowed length of the string returned in name

  ###### Returns

  - NVML_SUCCESS if name has been set
  - NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized
  - NVML_ERROR_INVALID_ARGUMENT if name is NULL
  - NVML_ERROR_NOT_FOUND if process doesn't exists
  - NVML_ERROR_NO_PERMISSION if the user doesn't have permission to perform this operation
  - NVML_ERROR_UNKNOWN on any unexpected error

  ###### Description

  Gets name of the process with provided process id

  For all products.

  Returned process name is cropped to provided length. name string is encoded in ANSI.

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback